package com.huiju.estateagents.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huiju.estateagents.entity.TaRole;
import com.huiju.estateagents.entity.TaRoleMenu;
import com.huiju.estateagents.mapper.TaRoleMapper;
import com.huiju.estateagents.mapper.TaRoleMenuMapper;
import com.huiju.estateagents.service.ITaRoleService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 角色表 角色表，每个org的角色可以单独设置。但是都共有一个admin角色。这个角色在创建用户的时候创建好了 服务实现类
 * </p>
 *
 * @author jobob
 * @since 2019-09-11
 */
@Service
public class TaRoleServiceImpl extends ServiceImpl<TaRoleMapper, TaRole> implements ITaRoleService {
    @Autowired
    TaRoleMapper taRoleMapper;

    @Autowired
    TaRoleMenuMapper taRoleMenuMapper;

    @Override
    public List<TaRole> getRolesByUser(Integer userId) {
        return taRoleMapper.getRolesByUser(userId);
    }

    @Override
    public TaRole taRoleDetails(Integer id,Integer orgId) {
        TaRole taRole = taRoleMapper.selectById(id);
        // 查询当前角色的所有菜单
        QueryWrapper<TaRoleMenu> taRoleMenu= new QueryWrapper<>();
        taRoleMenu.eq("role_id",id);
        taRoleMenuMapper.selectList(taRoleMenu);
        return taRole;
    }
}
